Bug 998251 - activemq-5.14.0 is available
Summary: activemq-5.14.0 is available
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: activemq
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 846561 1211654 1211659 970285 987558 999071 1020835 1166655 1265992 1276555 1276836
Blocks: 1291293
TreeView+ depends on / blocked
 
Reported: 2013-08-18 15:53 UTC by gil cattaneo
Modified: 2016-11-08 03:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
update to 5.8.0 (21.23 KB, text/plain)
2013-08-18 15:53 UTC, gil cattaneo
no flags Details
update to 5.8.0 - disable activemq-openwire-generator module, enable stomp module (22.15 KB, text/plain)
2013-08-19 12:22 UTC, gil cattaneo
no flags Details

Description gil cattaneo 2013-08-18 15:53:41 UTC
Created attachment 787792 [details]
update to 5.8.0

Upstream released activemq 5.8.0. Currently, we still have version 5.6.0 in Rawhide. Please consider updating, patch is attached.

changes in spaec file
- update to 5.8.0
- built with XMvn
- adapt to current guideline
- obsoletes activemq-core activemq-kahadb
- built new modules: 
  ° amq-store, broker, console, jdbc-store,
  ° log4j-appender, mqtt, openwire-generator,
  ° openwire-legacy, pool, ra, tooling
  (ra module is required by Apache OpenEJB/Tomee 4.5.1)
- fix for CVE-2013-1879 (PATCH0)
- fix for rhbz#991956

NOTE some features cannot be avalaible, cause: require com.thoughtworks.xstream:xstream:1.4.4

Comment 1 gil cattaneo 2013-08-19 12:22:25 UTC
Created attachment 788029 [details]
update to 5.8.0 - disable activemq-openwire-generator module, enable stomp module

Comment 2 Fedora End Of Life 2013-09-16 16:35:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20

Comment 3 Fedora Admin XMLRPC Client 2013-10-10 04:15:52 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 gil cattaneo 2015-04-14 14:28:33 UTC
Latest upstream release: 5.11.1
Current version/release in Fedora Rawhide: 5.6.0-9.fc23
URL: http://www.apache.org/dist/activemq/
Please, consider upgrading

Comment 6 gil cattaneo 2015-04-14 14:33:36 UTC
There are some modules used by Apache OpenEJB TomEE not available in the actual release, please enable these modules:
activemq-ra
activemq-broker
activemq-jdbc-store

Comment 7 Fedora End Of Life 2015-05-29 09:19:58 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Jan Kurik 2015-07-15 14:45:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 9 Fedora Admin XMLRPC Client 2015-09-07 07:34:45 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 10 gil cattaneo 2015-12-14 14:32:30 UTC
Latest upstream release: 5.13.0
Current version/release in Fedora Rawhide: 5.6.0-9.fc23
URL: http://www.apache.org/dist/activemq/


Note You need to log in before you can comment on or make changes to this bug.